<template>
  <q-page class="flex">
       <q-card>
      <q-card-title>
        Title
        <span slot="subtitle">Subtitle</span>
        <q-btn round flat icon="more_vert" slot="right">
          <q-popover>
            <q-list link class="no-border">
              <q-item v-close-overlay>
                <q-item-main label="Remove Card" />
              </q-item>
              <q-item v-close-overlay>
                <q-item-main label="Send Feedback" />
              </q-item>
              <q-item v-close-overlay>
                <q-item-main label="Share" />
              </q-item>
            </q-list>
          </q-popover>
        </q-btn>
      </q-card-title>
      <q-card-main class="col-md-12">
        {{ lorem }}
      </q-card-main>
      <q-card-separator />
      <q-card-actions>
        <q-btn flat>Action 1</q-btn>
        <q-btn flat>Action 2</q-btn>
      </q-card-actions>
    </q-card>

    <q-card inline style="width: 100%">
        <q-card-main>
          <h3>Chart here</h3>
            <CommitCt :data="data"></CommitCt>
        </q-card-main>
    </q-card>
  </q-page>
</template>

<style>
</style>

<script>
import CommitChart from './CommitChart'
export default {
  name: 'dashboard',
  data () {
    return {
      stars: 3,
      lorem: 'Lorem ipsum dolor sit amet, consectetur ap ex ea commodo consequat.',
      data: {
        labels: ['A', 'B', 'C'],
        datasets: [{
          label: ['One', 'Two', 'Three'],
          backgroundColor: ['#f87979', '#3d65bd', '#3d7343'],
          data: [10, 20, 30]
        }],
        option: {
          height: 200
        }
      }
    }
  },
  components: {
    CommitChart
  }
}
</script>
